org.eclipse.microprofile.context.tck.cdi

## Class AbstractBean

- java.lang.Object
- - org.eclipse.microprofile.context.tck.cdi.AbstractBean

Direct Known Subclasses:
  ConversationScopedBean, RequestScopedBean, SessionScopedBean

    public abstract class AbstractBean
    extends Object

### Field Summary

Fields
`static String` `UNINITIALIZED`

### Constructor Summary

Constructors
Constructor and Description
`AbstractBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getState()`
`void` `setState(String state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNINITIALIZED

    public static final String UNINITIALIZED

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractBean

    public AbstractBean()

### Method Detail

#### setState

    public void setState(String state)

#### getState

    public String getState()